System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object

, , and all inherit from , and represent the three types of documents discoverable through XML Web services discovery: Service Descriptions, XML Schema Definition (XSD) schemas, and discovery documents, respectively.

The base class for discoverable references using XML Web services discovery.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Property
  System.Web.Services.Discovery.DiscoveryClientProtocol To be added: an object of type 'DiscoveryClientProtocol' To be added

  Gets or sets the instance of used in a discovery process.

  1.0.5000.0
  2.0.0.0
  System.Xml.Serialization.XmlIgnore
- Property
  System.String To be added: an object of type 'string' To be added

  Gets the name of the default file to use when saving the referenced discovery document, XSD schema, or Service Description.

  1.0.5000.0
  2.0.0.0
  System.Xml.Serialization.XmlIgnore
- Method
  System.String `` To be added

  Returns a file name based on the passed URL.

  Name of the file based on the passed URL.

  The URL on which the name of the file is based. 1.0.5000.0 2.0.0.0
- Method
  System.Object ``

  The return value is always an . However, the underlying type varies, depending on the type of document referenced. For instance, a passed into returns an instance of .

  Reads the passed and returns an instance of the class representing the type of referenced document.

  An with an underlying type matching the type of referenced document.

  containing the reference document. 1.0.5000.0 2.0.0.0
- Method
  System.Void

  Downloads the referenced document and then invokes the overloaded member that takes a MIME type and a . If the MIME type and the contents of match those expected by the reference type, then the contents of are added to the and properties of .

  Downloads the referenced document at to resolve whether the referenced document is valid.

  1.0.5000.0
  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` ``

  If the MIME type and the contents of match those expected by the reference type, then the contents of are added to the and properties of .

  Resolves whether the referenced document is valid.

  The MIME type of . The containing the referenced document.
- Property
  System.String To be added: an object of type 'string' To be added

  Gets or sets the URL of the referenced document.

  1.0.5000.0
  2.0.0.0
  System.Xml.Serialization.XmlIgnore
- Method
  System.Void `` `` To be added

  When overridden in a derived class, writes the document to a .

  The document to write into a . The into which the is written. 1.0.5000.0 2.0.0.0